Page MenuHomePhabricator

apihelp-smpuserprivacy-description message missing
Closed, ResolvedPublic

Description

Breaks unit tests

20:20:14 There were 2 failures:
20:20:14 
20:20:14 1) ApiDocumentationTest::testDocumentationExists with data set "Module smpuserprivacy with MiserMode=false, AllowCategorizedRecentChanges=false" ('smpuserprivacy', array(false, false))
20:20:14 Module description message apihelp-smpuserprivacy-description exists
20:20:14 Failed asserting that false is true.
20:20:14 
20:20:14 /mnt/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:51
20:20:14 /mnt/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:80
20:20:14 /mnt/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/MediaWikiTestCase.php:388
20:20:14 /mnt/jenkins-workspace/workspace/mwext-testextension-php55/src/maintenance/doMaintenance.php:110
20:20:14 
20:20:14 2) ApiDocumentationTest::testDocumentationExists with data set "Module smpuserprivacy with MiserMode=true, AllowCategorizedRecentChanges=true" ('smpuserprivacy', array(true, true))
20:20:14 Module description message apihelp-smpuserprivacy-description exists
20:20:14 Failed asserting that false is true.
20:20:14 
20:20:14 /mnt/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:51
20:20:14 /mnt/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:80
20:20:14 /mnt/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/MediaWikiTestCase.php:388
20:20:14 /mnt/jenkins-workspace/workspace/mwext-testextension-php55/src/maintenance/doMaintenance.php:110
20:20:14 
20:20:14 FAILURES!
20:20:14 Tests: 910, Assertions: 10225, Failures: 2, Skipped: 1.

Details

Related Gerrit Patches:

Event Timeline

Reedy created this task.Sep 21 2016, 8:22 PM
Restricted Application added a project: Social-Tools. · View Herald TranscriptSep 21 2016, 8:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Reedy triaged this task as Unbreak Now! priority.Sep 21 2016, 8:23 PM
Restricted Application added subscribers: Jay8g, Luke081515, TerraCodes. · View Herald TranscriptSep 21 2016, 8:23 PM
SamanthaNguyen moved this task from Backlog to i18n on the SocialProfile board.
greg added a subscriber: greg.Sep 26 2016, 10:57 PM

UBN! for a week. What's the plan?

Change 313285 had a related patch set uploaded (by Reedy):
Add missing apihelp-smpuserprivacy-description

https://gerrit.wikimedia.org/r/313285

Change 313285 merged by jenkins-bot:
Add missing apihelp-smpuserprivacy-description and assoc messages

https://gerrit.wikimedia.org/r/313285

Reedy closed this task as Resolved.Sep 28 2016, 8:56 PM
Reedy claimed this task.